
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android自定义控件之基本原理（一）_Android / iVAN</title>

    <meta name="description" content="Android自定义控件之基本原理（一）_Android 前言: 在日常的Android开发中会经常和控件打交道,有时Android提供的控件未必能满足业务的需求,这个时候就需要我们实现自定义一些控件,今天先大致了解一下自定义控件的要求和实现的基本原理. 自定义控件要求: 1. 应当遵守Android标准的规范(命名,可配置,事件处理等). 2. 在XML布局中科配置控件的属性. 3. 对交互应当有合适的反馈,比如按下,点击等. 4. 具有兼容性, Android版本很多,应该具有广泛的适用性. 自定义控件学习步骤: 1 .View的工作原理 2 .编">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android自定义控件之基本原理（一）_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言：</strong></p>
<p>在日常的Android开发中会经常和控件打交道，有时Android提供的控件未必能满足业务的需求，这个时候就需要我们实现自定义一些控件，今天先大致了解一下自定义控件的要求和实现的基本原理。</p>
<p><strong>自定义控件要求：<br /></strong></p>
<p>1. 应当遵守Android标准的规范(命名，可配置，事件处理等)。</p>
<p>2. 在XML布局中科配置控件的属性。</p>
<p>3. 对交互应当有合适的反馈，比如按下，点击等。</p>
<p>4. 具有兼容性， Android版本很多，应该具有广泛的适用性。</p>
<p><strong>自定义控件学习步骤：<br /></strong></p>
<p>　　1 .View的工作原理</p>
<p>　　2 .编写View类</p>
<p>　　3.为View类增加属性</p>
<p>　　4 .绘制屏幕</p>
<p>　　5. 响应用户消息</p>
<p>　　6 .自定义回调函数</p>
<p><strong>自定义控件两种方式：</strong></p>
<p>　　<strong>1. 继承ViewGroup <br /></strong></p>
<p>例如：ViewGroup、LinearLayout、FrameLayout、RelativeLayout等。</p>
<p>　　<strong>2. 继承View<br /></strong></p>
<p>例如：View、TextView、ImageView、Button等。</p>
<p><strong>自定义控件基本绘制原理：</strong></p>
<p>View的绘制基本上由measure()、layout()、draw()这个三个函数完成</p>
<p>1.）测量-Measure过程是计算视图大小，View measure过程相关方法主要有三个：</p>
<pre>
public final void measure(int widthMeasureSpec, int heightMeasureSpec)
protected final void setMeasuredDimension(int measuredWidth, int measuredHeight)
protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec)</pre>
<p>measure调用onMeasure，onMeasure测量宽度、高度然后调用setMeasureDimension保存测量结果，measure，setMeasureDimension是final类型，view的子类不需要重写，onMeasure在view的子类中重写。</p>
<p><strong>关于MeasureSpec：</strong></p>
<p>(1)UPSPECIFIED :父容器对于子容器没有任何限制,子容器想要多大就多大.</p>
<p>(2) EXACTLY父容器已经为子容器设置了尺寸,子容器应当服从这些边界,不论子容器想要多大的空间.</p>
<p>(3) AT_MOST子容器可以是声明大小内的任意大小.</p>
<p>2.）布局-Layout过程用于设置视图在屏幕中显示的位置，View layout过程相关方法主要要三个：</p>
<pre>
public void layout(int l, int t, int r, int b)
protected boolean setFrame(int left, int top, int right, int bottom)
protected void onLayout(boolean changed, int left, int top, int right, int bottom)</pre>
<p>layout通过调用setFrame（l,t,r,b），l,t,r,b即子视图在父视图中的具体位置，onLayout一般只会在自定义ViewGroup中才会使用</p>
<p>3.)绘制-draw过程主要用于利用前两步得到的参数，将视图显示在屏幕上，到这里也就完成了整个的视图绘制工作。</p>
<pre>
public void draw(Canvas canvas)
protected void onDraw(Canvas canvas)</pre>
<p>通过调用draw函数进行视图绘制，在View类中onDraw函数是个空函数，最终的绘制需求需要在自定义的onDraw函数中进行实现，比如ImageView完成图片的绘制，如果自定义ViewGroup这个函数则不需要重载。</p>
<p><strong>自定义控件示例：<br /></strong></p>
<p>这里先介绍继承View的方式为例，其实ViewGroup最终的继承的也是View。这里 模拟一个需求场景，需要一个圆形显示百分比。</p>
<pre>
public class PercentView extends View {
private final static String TAG = PercentView.class.getSimpleName();
private Paint mPaint;
public PercentView(Context context) {
super(context);
}
public PercentView(Context context, AttributeSet attrs) {
super(context, attrs);
}
public PercentView(Context context, AttributeSet attrs, int defStyleAttr) {
super(context, attrs, defStyleAttr);
}
@Override
protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
super.onMeasure(widthMeasureSpec, heightMeasureSpec);
int widthMode = MeasureSpec.getMode(widthMeasureSpec);
int widthSize = MeasureSpec.getSize(widthMeasureSpec);
int heightMode = MeasureSpec.getMode(heightMeasureSpec);
int heightSize = MeasureSpec.getSize(heightMeasureSpec);
Log.e(TAG, "onMeasure--widthMode--&gt;" + widthMode);
switch (widthMode) {
case MeasureSpec.EXACTLY:
break;
case MeasureSpec.AT_MOST:
break;
case MeasureSpec.UNSPECIFIED:
break;
}
Log.e(TAG, "onMeasure--widthSize--&gt;" + widthSize);
Log.e(TAG, "onMeasure--heightMode--&gt;" + heightMode);
Log.e(TAG, "onMeasure--heightSize--&gt;" + heightSize);
}
@Override
protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
super.onLayout(changed, left, top, right, bottom);
Log.e(TAG, "onLayout");
}
@Override
protected void onDraw(Canvas canvas) {
super.onDraw(canvas);
mPaint = new Paint();
mPaint.setAntiAlias(true);
mPaint.setColor(Color.GRAY);
// FILL填充, STROKE描边,FILL_AND_STROKE填充和描边
mPaint.setStyle(Paint.Style.FILL_AND_STROKE);
int with = getWidth();
int height = getHeight();
Log.e(TAG, "onDraw----&gt;" + with + "*" + height);
float radius = with / 4;
canvas.drawCircle(with / 2, with / 2, radius, mPaint);
mPaint.setColor(Color.BLUE);
RectF oval = new RectF(with / 2 - radius, with / 2 - radius, with / 2
+ radius, with / 2 + radius); //用于定义的圆弧的形状和大小的界限
canvas.drawArc(oval, 270, 120, true, mPaint); //根据进度画圆弧
}
}</pre>
<p>在布局中如何使用</p>
<pre>
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
xmlns:tools="http://schemas.android.com/tools"
android:layout_width="match_parent"
android:layout_height="match_parent"
android:orientation="vertical"&gt;
&lt;com.whoislcj.views.PercentView
android:layout_width="wrap_content"
android:layout_height="wrap_content"
android:layout_margin="10dp" /&gt;
&lt;/LinearLayout&gt;</pre>
<p>显示效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDcyNzEwMjIzNDIxLmpwZw==.jpg"></p>
<p>如果布局文件改成</p>
<pre>
&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
xmlns:tools="http://schemas.android.com/tools"
android:layout_width="match_parent"
android:layout_height="match_parent"
android:orientation="vertical"&gt;
&lt;com.whoislcj.views.PercentView
android:layout_width="150dp"
android:layout_height="150dp"
android:layout_margin="10dp" /&gt;
&lt;/LinearLayout&gt;</pre>
<p>显示效果变成</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDcyNzEwMjIzNDIyLmpwZw==.jpg"></p>
<p><strong>总结：<br /></strong></p>
<p>本篇主要介绍Android自定义控件的基本绘制原理，会在下一篇中介绍如何自定义属性。希望对大家有所帮助，如果大家有任何疑问请给我留言，小编会及时回复大家的。在此也非常感谢大家对网站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                                    自定义控件<br />
                                    自定义控件原理、android 自定义控件、android的自定义控件、android 自定义控件库、android自定义控件xml，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:07:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89%e6%8e%a7%e4%bb%b6/" title="&num;自定义控件">&num;自定义控件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android自定义控件之基本原理（一）_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnwqZZz.html" rel="bookmark">Android自定义控件之基本原理（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 在日常的Android开发中会经常和控件打交道,有时Android提供的控件未必能满足业务的需求,这个时候就需要我们实现自定义一些控件,今天先大致了解一下自定义控件的要求和实现的基本原理. 自定义控件要求: 1. 应当遵守Android标准的规范(命名,可配置,事件处理等). 2. 在XML布局中科配置控件的属性. 3. 对交互应当有合适的反馈,比如按下,点击等. 4. 具有兼容性, Android版本很多,应该具有广泛的适用性. 自定义控件学习步骤: 1 .View的工作原理 2 .编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0Pjjp.html" rel="bookmark">android 自定义控件 自定义属性详细介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义控件在android中无处不见,自定义控件给了我们很大的方便.比如说,一个视图为imageview ,imagebutton ,textview 等诸多控件的组合,用的地方有很多,我们不可能每次都来写3个的组合,既浪费时间,效率又低.在这种情况下,我们就可以自定义一个view来替换他们,不仅提升了效率并且在xml中运用也是相当的美观. 一.控件自定义属性介绍 以下示例中代码均在values/attrs.xml 中定义,属性均可随意命名. 1. reference:参考某一资源ID. 示例:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2emxM.html" rel="bookmark">Android自定义控件实现手势密码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android手势解锁密码效果图       首先呢想写这个手势密码的想法呢,完全是凭空而来的,然后笔者就花了一天时间弄出来了.本以为这个东西很简单,实际上手的时候发现,还有很多逻辑需要处理,稍不注意就容易乱套.写个UI效果图大约只花了3个小时,但是处理逻辑就处理了2个小时!废话不多说,下面开始讲解.      楼主呢,自己比较自定义控件,什么东西都掌握在自己的手里感觉那是相当不错(对于赶工期的小伙瓣儿们还是别手贱了,非常容易掉坑),一有了这个目标,我就开始构思实现方式.      1.整个自定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7JWBb.html" rel="bookmark">Android自定义控件LinearLayout实例讲解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多时候Android常用的控件不能满足我们的需求,那么我们就需要自定义一个控件了.今天做了一个自定义控件的实例,来分享下. 首先定义一个layout实现按钮内部布局:  &lt;?xmlversion=&quot;1.0&quot;encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayoutxmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; android:layout_width=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkd44M.html" rel="bookmark">Android自定义控件之自定义组合控件（三）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 前两篇介绍了自定义控件的基础原理Android自定义控件基本原理详解(一).Android自定义控件之自定义属性(二).今天重点介绍一下如何通过自定义组合控件来提高布局的复用,降低开发成本,以及维护成本. 使用自定义组合控件的好处?我们在项目开发中经常会遇见很多相似或者相同的布局,比如APP的标题栏,我们从三种方式实现标题栏来对比自定义组件带来的好处,毕竟好的东西还是以提高开发效率,降低开发成本为导向的. 1.)第一种方式:直接在每个xml布局中写相同的标题栏布局代码  &lt;?xml ve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkP4Kp.html" rel="bookmark">Android自定义控件ViewGroup实现标签云（四）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 前面几篇讲了自定义控件绘制原理Android自定义控件基本原理详解(一) ,Android自定义控件之自定义属性(二) ,Android自定义控件之自定义组合控件(三) ,常言道:&quot;好记性不如烂笔头,光说不练假把式!!!&quot;,作为一名学渣就是因为没有遵循这句名言才沦落于此,所以要谨遵教诲,注重理论与实践相结合,今天通过自定义ViewGroup来实现一下项目中用到的标签云. 需求背景: 公司需要实现一个知识点的标签显示,每个标签的长度未知,如下图所示   基本绘制流程:  绘制原理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ29Kvz.html" rel="bookmark">Android自定义控件基本原理详解（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 在日常的Android开发中会经常和控件打交道,有时Android提供的控件未必能满足业务的需求,这个时候就需要我们实现自定义一些控件,今天先大致了解一下自定义控件的要求和实现的基本原理. 自定义控件要求: 1. 应当遵守Android标准的规范(命名,可配置,事件处理等).      2. 在XML布局中科配置控件的属性.      3. 对交互应当有合适的反馈,比如按下,点击等.      4. 具有兼容性, Android版本很多,应该具有广泛的适用性. 自定义控件学习步骤: 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAr56vp.html" rel="bookmark">Android自定义控件eBook实现翻书效果实例详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android自定义控件eBook实现翻书效果的方法.分享给大家供大家参考,具体如下: 效果图: Book.java文件: package com.book; import android.app.Activity; import android.os.Bundle; import android.util.Log; import android.view.View; import android.widget.ImageView; public class Book extend			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQ2xOp.html" rel="bookmark">Android自定义控件之组合控件学习笔记分享&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们来讲一下自定义组合控件,相信大家也接触过自定义组合控件吧,话不多说,直接干(哈~哈~): 大家看到这个觉得这不是很简单的吗,这不就是写个布局文件就搞定嘛,没错,确实直接上布局就行,不过,我只是用这个简单的例子来讲一下自定义组合控件的用法. 首先看看,这一行行的条目看起来都长得差不多,只是图片和文字不一样,没错,就是看中这一点,我们可以把一个条目做成一个组合控件,做为一个整体,这样不管你有几个条目,就写几个组合控件就行了. 步骤: 1.先建立组合控件的布局 myView.xml &lt;Relati			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK8vaM.html" rel="bookmark" class="title">互联网时代的软件革命：SaaS架构设计</a>
					<div>
						前段时间看完了&lt;互联网时代的软件革命:SaaS架构设计&gt;这本书,感触颇深.虽然很多企业早在2000年就搞ASP(Application Service Provider,应用服务提供商), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2B03b.html" rel="bookmark" class="title">用PHP调用数据库的存贮过程</a>
					<div>
						过程|数据|数据库 昨天,看到一个战友问是否可以用php调用存贮过程,感觉应该是可以的,所以,马上进行了实验,非常的成功!非常出乎我的意料之外!因此,写出来,给大家参考! 大家知道,存储过程是在服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Qonb.html" rel="bookmark" class="title">保障无线网络安全的四种方法</a>
					<div>
						方法之一:限定IP地址 当你的计算机连接到你的网络中的时候,你的无线路由器通常会分给他一个IP地址,用他来浏览网页或连接外部互联网.通常情况下,无线路由器会 给每一个连接到无线网络中来的每一台机器分配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPBA8z.html" rel="bookmark" class="title">UNIX环境高级编程：System V 共享内存区</a>
					<div>
						共享内存区域是被多个进程共享的一部分物理内存.如果多个进程都把该内存区域映射到自己的虚拟地址空间,则这些进程就都可以直接访问该共享内存区域,从而可以通过该区域进行通信.共享内存是进程间共享数据的一种最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBLB4b.html" rel="bookmark" class="title">用JAX-RPC构建RPC服务和客户机&colon;使用Java API构建基于RPC的Web服务&lpar;二&rpar;</a>
					<div>
						构建客户机来访问 Web 服务 到目前为止,我们用了很多篇幅讨论 JAX-RPC,但是还没有实际使用这个 API.即使在自动部署 BookSearcher 类时,与 JAX-RPC 相关的工作也是由  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLGqeb.html" rel="bookmark" class="title">java&lowbar;util&lowbar;test</a>
					<div>
						package com.diegoyun.apiLearning; import java.util.*; /** * User: diegoyun * Date: 2005-1-30 * Time: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRwVaz.html" rel="bookmark" class="title">Photoshop把小女孩照片快速转为质感手绘效果</a>
					<div>
						小女孩照片快速转为质感手绘效果 小女孩转手绘方法虽然跟大人的方法一样,不过在装饰部分需要加进一些比较合适的素材,如气泡,卡通元素等,让画面看上去更活泼,可爱. 原图 最终效果  1.打开原图素材,执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wnYrp.html" rel="bookmark" class="title">腾达路由器桥接其他品牌路由器不兼容该怎么办？</a>
					<div>
						  因为腾达客服告知了,腾达路由器WDS会存在兼容性这一情况,那我们乍样解决无法WDS其他路由器产品呢. 1.首先我们进入路由器设置页面,一般都是192.168.0.1在首页改个无线密码,当然你到高级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKRWNM.html" rel="bookmark" class="title">Windows8值得做的十多项简单优化</a>
					<div>
						  根据我们之前的测试来看,Windows8 的性能和速度确实要比 Win7 要强些 (参考性能对比评测1.评测2),实际使用过的同学可能都已体会到了.不过谁会嫌自己的电脑太快呢?只要你的硬件不是特别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o01Rb.html" rel="bookmark" class="title">登录网银页面即提示&OpenCurlyDoubleQuote;请插入GemGPK智能卡&rdquo;的解决</a>
					<div>
						  问题描述:登录网银页面,即提示&quot;请插入GemGPK智能卡&quot; 解决方案: 卸载捷德U盾驱动程序,使用网银助手重新安装捷德驱动即可.或检查ADSL属性是否有&quot;使用智能卡& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3WXlz.html" rel="bookmark" class="title">Swift 2 throws 全解析 - 从原理到实践</a>
					<div>
						本文最初于 2015 年 12 月发布在 IBM developerWorks 中国网站发表,其网址是 http://www.ibm.com/developerworks/cn/mobile/mo-c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7n0jz.html" rel="bookmark" class="title">批处理中常用的符号总结&lowbar;DOS&sol;BAT</a>
					<div>
						^ 转义符   用在特殊符号之前 比如: echo 非常^&amp;批处理 如果不加^ 那么&quot;批处理&quot;将被当作命令执行 | (管道)传递符 当然是传递作用 比如: echo 012 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEYd5p.html" rel="bookmark" class="title">求大神&comma;用javascript合并几个WORD并形成一个word&comma;然后打印</a>
					<div>
						问题描述 求大神,用javascript合并几个WORD并形成一个word,然后打印 有没有具体的方式实现呢?求大神围观 ,用javascript合并几个WORD并形成一个word,然后打印 要保持原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwle1p.html" rel="bookmark" class="title">联想12月6日举行旧电脑换购活动</a>
					<div>
						12月6日,联想集团将与百脑汇北京旗舰店联手,共同举办&quot;只要'够老',联想一体电脑一元抱回家&quot;活动.只要你有联想旧电脑,都可以来百脑汇北京旗舰店参加此次活动. 在PK环节中最老电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE5n1z.html" rel="bookmark" class="title">web developer-我在用火狐浏览器看网去哪网首页的CSS，但完全不知道哪个样式表对应哪块啊？看不懂</a>
					<div>
						问题描述 我在用火狐浏览器看网去哪网首页的CSS,但完全不知道哪个样式表对应哪块啊?看不懂 chrome://web-developer/content/generated/view-css.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQGNOp.html" rel="bookmark" class="title">关于函数模板的问题，有点点没有看懂。</a>
					<div>
						问题描述 关于函数模板的问题,有点点没有看懂. 在cppreference.com中解释decltype关键字时,有这样的一段代码: #include &lt;iostream&gt; struct  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrZxQM.html" rel="bookmark" class="title">考试系统--底层框架发布时遇到的问题解决方案（Window7 IIS6&period;0）（一）</a>
					<div>
						         1. HTTP 错误 500.21 - Internal Server Error处理程序&quot;NickLeeCallbackHandler&quot;在其模块列表中有一个错误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4A6Pz.html" rel="bookmark" class="title">Java跨语言调用实现方案</a>
					<div>
						Java 跨语言实现方案 背景: 在大型分布式 java 应用中,为了方便开发者,通常底层的 rpc 框架都会做一些调用的封装,让应用层开发人员在开发服务的时候只用编写简单的 pojo 对象就可以了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/z7xJLab.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjcyMDkvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/z7xJLab.html" rel="bookmark" class="title">论道产业互联网</a>
					<div>
						Q1 harry 濬:大题目. 赵国栋:的确,题目比较大,也不打算一次讲清楚.或者说我也在持续的思考过程中.今天主要是要回答8点前后提出三个问题,多元化还是专一化?驱动的逻辑是什么?完整的企业蓝图应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyJLdz.html" rel="bookmark" class="title">用java编写一个 类似于Jcreator的编译器</a>
					<div>
						问题描述 有什么指导书目什么的没有啊,不知道怎么下手~~~ 解决方案 解决方案二:用Java写Java程序的编译器,有点乱吧解决方案三:你自己去研究研究eclipse的代码吧.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgyG8M.html" rel="bookmark" class="title">Windows 7 XP虚拟模式与MED-V虚拟化软件的异同</a>
					<div>
						随着Windows XP Mode RC版的发布,有关这个Windows 7 XP虚拟模式的话题再次多了起来,那么这个为小型http://www.aliyun.com/zixun/aggregatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60ORWz.html" rel="bookmark" class="title">无人机现在是个热门的技术领域。</a>
					<div>
						摘要: 无人机现在是个热门的技术领域.不仅这方面的初创企业层出不穷,而且Amazon.Google.Facebook等巨头也纷纷先后加入.即将颠覆未来的无人机在农业.能源.供应交付.科研保护等领域 无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5mV0z.html" rel="bookmark" class="title">Eclipse编译maven项目老是编译出错，求解</a>
					<div>
						问题描述 每天早上,用svn更新完代码,便打开eclipse,准备工作.但是eclipse编译maven项目老是编译不过,出异常,然后eclipse又会自动重新再编译,然后又碰到异常,这样无限循环-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm8l3z.html" rel="bookmark" class="title">使用wordpress自带ajax方法</a>
					<div>
						如本站每页logo后面的一句名言,点击&quot;换一条&quot;就会ajax动态加载一条,使用了wordpress的自带ajax方法.下面介绍如何使用wordpress自带ajax方法: 1.在h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Vewb.html" rel="bookmark" class="title">Android桌面组件App Widget完整案例&lowbar;Android</a>
					<div>
						本文实例讲述了Android桌面组件App Widget用法.分享给大家供大家参考.具体如下: 这里模拟一个案例:把AppWidget添加到桌面后,点击AppWidget后AppWidget文本会轮回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrYeop.html" rel="bookmark" class="title">通过JQuery将DIV的滚动条滚动到指定的位置方便自动定位&lowbar;jquery</a>
					<div>
						这里有一个方法可以将DIV的滚动条滚动到其子元素所在的位置,方便自动定位. 复制代码 代码如下: var container = $('div'), scrollTo = $('#row_8'); c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx22Ryz.html" rel="bookmark" class="title">customitem的表格显示大于屏幕，如何实现根据上下左右键，滚动到当前表格</a>
					<div>
						问题描述 CustomItemDemo.javapackageexample.customitem;importjavax.microedition.midlet.*;importjavax.micr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmRlYp.html" rel="bookmark" class="title">申科股份迎娶甄嬛：璜山神秘客日赚千万 两菜鸟成股神</a>
					<div>
						经历了整敿个月的漫长等待,申科股份＿02633.SZ)的股东们,终于迎来了最激动人心的一刻,他们将拥有孙俪等大牌明星的海润影视制作有限公司&quot;迎娶&quot;进门〿/p&gt; 早在2014广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAg5np.html" rel="bookmark" class="title">女同性恋交友社区：LesPark拉拉公园</a>
					<div>
						[TechWeb报道]LesPark(拉拉公园)是一款基于位置的全球专属拉拉的社交应用.基友使用此应用聊天,约会,交友等等.全球以及你身边越来越多的拉拉正在使用LesPark.而你选择LesPark的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdj6kM.html" rel="bookmark" class="title">版权问题&comma;再次给站长敲响警钟</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新华网济南8月4日电(记者赵仁伟) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
